<template>

  <ul>
    <li v-for="goal in goals" :key="goal">
      <slot :item="goal">
        Default text
      </slot>
    </li>
  </ul>

</template>

<script>
export default {
  name: "CourseGoals",
  data() {
    return {
      goals: ["Learn Vue!", "Finish the course"]
    }
  }
}
</script>

<style scoped>

</style>